
QGIS Application - Bug report #10006

Processing>OTB: error in Mean Shift filtering

2014-04-07 01:28 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Julien Malik

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 18496

Description

The alg throws an error:===

Algorithm Mean Shift filtering (can be used as Exact Large-Scale

Mean-Shift segmentation, step 1) starting...

/usr/bin/otbcli_MeanShiftSmoothing

-in

"/home/paolo/Desktop/corso_qgis_grass/otb_samples/orto.jpeg" 

-spatialr

10

-ranger

15

-thres

0.1

-maxiter

100

-rangeramp

0

-modesearch

true

-fout

"/tmp/processing/1204421e8c9a4f6f9f2183a7eb484b3d/fout.tif" 

-foutpos

"/tmp/processing/5bd07fbe5d0b480bab38faf8a1d4d1a4/foutpos.tif"

Writing /tmp/processing/1204421e8c9a4f6f9f2183a7eb484b3d/fout.tif...: 0%

[ ]

Writing /tmp/processing/5bd07fbe5d0b480bab38faf8a1d4d1a4/foutpos.tif...:

0% [ ]

2014 Apr 03 21:59:50 : Application.logger (FATAL) The following error

occurred during application execution :

/tmp/buildd/otb-4.0.0/Code/IO/otbGDALImageIO.cxx:1465:

itk::ERROR: GDALImageIO(0x2e2d7a0): GDAL Writing failed : Impossible to

create the image file name

'/tmp/processing/5bd07fbe5d0b480bab38faf8a1d4d1a4/foutpos.tif'.

Inconsistency detected by ld.so: dl-close.c: 770: _dl_close: Assertion

`map->l_init_called' failed!

Converting outputs

Loading resulting layers

Algorithm Mean Shift filtering (can be used as Exact Large-Scale
Mean-Shift segmentation, step 1) finished

History

#1 - 2014-04-07 01:37 AM - Paolo Cavallini

- Assignee changed from Victor Olaya to Julien Malik

#2 - 2014-11-17 11:44 PM - Alexander Bruy

- Category changed from 94 to 120

#3 - 2015-02-03 08:26 AM - Giovanni Manghi

- Status changed from Open to Feedback

it seems to run ok on the latest master.

#4 - 2015-05-11 01:40 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.

#5 - 2015-05-11 09:57 AM - Paolo Cavallini

Confirmed, now it works.

Thanks for checking.

#6 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#7 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#9 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
